Bug 215260 - fedora-package-config-apt new kernel package namespace bug
Summary: fedora-package-config-apt new kernel package namespace bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-package-config-apt   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-13 01:39 UTC by Jérôme Benoit
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: fedora-package-config-apt-6-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 17:47:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to /etc/apt/apt.conf.d/fedora.conf (597 bytes, patch)
2006-11-13 01:41 UTC, Jérôme Benoit
no flags Details | Diff
Correct patch ... Sorry for the noise (597 bytes, patch)
2006-11-13 14:21 UTC, Jérôme Benoit
no flags Details | Diff

Description Jérôme Benoit 2006-11-13 01:39:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
Warning for duplicate xen kernel and PAE kernel that's should not append with apt for rpm

Version-Release number of selected component (if applicable):
fedora-package-config-apt 5.92

How reproducible:
Always


Steps to Reproduce:
1. first yum install apt on a fresh FC6 install 
2. then yum install kernel-xen or yun install kernel-PAE 
3. then yum upgrade (this will install updates for kernels packages thru duplicate them)
4. run apt-get update

Actual Results:
A warning for duplicate kernel packages.

Expected Results:
No warnings

Additional info:

Comment 1 Jérôme Benoit 2006-11-13 01:41:53 UTC
Created attachment 141014 [details]
Patch to /etc/apt/apt.conf.d/fedora.conf

Should fix it up.

Comment 2 Jérôme Benoit 2006-11-13 14:19:50 UTC
Comment on attachment 141014 [details]
Patch to /etc/apt/apt.conf.d/fedora.conf

My patch is wrong, the contrary is the correct fix ...

Comment 3 Jérôme Benoit 2006-11-13 14:21:43 UTC
Created attachment 141048 [details]
Correct patch ... Sorry for the noise

Comment 4 Axel Thimm 2006-11-23 17:47:39 UTC
Thanks, fixed in the upcoming package (fedora-package-config-apt-6-5).


Note You need to log in before you can comment on or make changes to this bug.